/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

// $Id: RedeployUnitTestCase.java,v 1.1.1.1.4.1 2004/08/09 09:54:40 tdiesler Exp $

package org.jboss.test.jbossnet.state;

import junit.framework.Test;
import java.net.URL;

/**
 * Tests remote accessibility of stateful ejb bean after redeployment
 * @since 2. Oktober 2002, 12:11
 * @author <a href="mailto:Christoph.Jung@infor.de">Christoph G. Jung</a>
 * @version $Revision: 1.1.1.1.4.1 $
 */

public class RedeployUnitTestCase extends StateUnitTestCase
{

   // Constructors --------------------------------------------------
   public RedeployUnitTestCase(String name)
   {
      super(name);
   }

   /** this is to deploy the whole ear */
   public static Test suite() throws Exception
   {
      return getDeploySetup(RedeployUnitTestCase.class, "wsstate.ear");
   }

   public static void main(String[] args)
   {
      junit.textui.TestRunner.run(RedeployUnitTestCase.class);
   }

}